#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QtGlobal>

int main(int argc, char *argv[])
{
    qputenv("QML_DISABLE_DISTANCEFIELD", "1");

    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    const QUrl url(QStringLiteral("qrc:/texcrafting/Main.qml"));
    QObject::connect(
        &engine,
        &QQmlApplicationEngine::objectCreated,
        &app,
        [url](QObject *obj, const QUrl &objUrl) {
            if (!obj && url == objUrl)
                QCoreApplication::exit(-1);
        },
        Qt::QueuedConnection);
    engine.load(url);

    return app.exec();
}
